org.eclipse.core.commands.common

## Interface IIdentifiable

All Known Implementing Classes:
  Category, Command, Context, HandleObject, NamedHandleObject, ParameterType, Scheme

    public interface IIdentifiable

An object that is unique identifiable based on the combination of its class and its identifier.

Since:
  3.2
See Also:
  `HandleObject`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Returns the identifier for this object.

### Method Detail

#### getId

    String getId()

Returns the identifier for this object.

Returns:
  The identifier; never `null`.